<?xml version="1.0" encoding="iso-8859-1"?>
<!-- Addenda de Qualitas Constructoras :: By Daniel Herrera T. :: Version 1.0 ::  -->
<!-- Ultima modificacion DHT :: 07/08/2013 :: Para solventar la falta de espacio en el campo donde se captura el texto de una parcialidad se puso una condicion para sustituir el capturado por el texto requerido -->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
	<xsl:output method="html" encoding="iso-8859-1"/>
	<xsl:template match="/">
		<xsl:element name="ECFD">
			<xsl:attribute name="version">1.0</xsl:attribute>
			<xsl:element name="Documento">
				<xsl:variable name="tipdoc" select="Datos/Documento/@TipoDocumento"/>
				<xsl:variable name="prefdoc">
					<xsl:choose>
						<xsl:when test="$tipdoc = 1">T33</xsl:when>
						<xsl:when test="$tipdoc = 2">T61</xsl:when>
						<xsl:when test="$tipdoc = 3">T56</xsl:when>
						<xsl:when test="$tipdoc = 4">T71</xsl:when>
					</xsl:choose>
				</xsl:variable>
				<xsl:attribute name="ID">
					<xsl:choose>
						<xsl:when test="Datos/CFD/@Folio !=''">
							<xsl:value-of select="concat($prefdoc,Datos/CFD/@Serie,Datos/CFD/@Folio)"/>
						</xsl:when>
						<xsl:otherwise>
							<xsl:value-of select="concat($prefdoc,'1')"/>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:attribute>
				<xsl:element name="Encabezado">
					<xsl:element name="IdDoc">
						<xsl:choose>
							<xsl:when test="Datos/CFD/@UUID !=''">
								<xsl:element name="NroAprob">
									<xsl:text>00000</xsl:text>
								</xsl:element>
								<xsl:element name="AnoAprob">
									<xsl:text>0000</xsl:text>
								</xsl:element>
							</xsl:when>
							<xsl:otherwise>
								<xsl:element name="NroAprob">
									<xsl:value-of select="Datos/CFD/@noAprobacion"/>
								</xsl:element>
								<xsl:element name="AnoAprob">
									<xsl:value-of select="Datos/CFD/@AnioAprobacion"/>
								</xsl:element>
							</xsl:otherwise>
						</xsl:choose>
						<xsl:element name="Tipo">
							<xsl:value-of select="substring($prefdoc,2,2)"/>
						</xsl:element>
						<xsl:if test="Datos/CFD/@Serie !=''">
							<xsl:element name="Serie">
								<xsl:value-of select="Datos/CFD/@Serie"/>
							</xsl:element>
						</xsl:if>
						<xsl:element name="Folio">
							<xsl:choose>
								<xsl:when test="Datos/CFD/@UUID !=''">
									<xsl:text>1</xsl:text>
								</xsl:when>
								<xsl:otherwise>
									<xsl:value-of select="Datos/CFD/@Folio"/>
								</xsl:otherwise>
							</xsl:choose>
						</xsl:element>
						<xsl:element name="Estado">
							<xsl:text>ORIGINAL</xsl:text>
						</xsl:element>
						<xsl:element name="NumeroInterno">
							<xsl:text>22</xsl:text>
						</xsl:element>
						<xsl:element name="FechaEmis">
							<xsl:value-of select="Datos/CFD/@Fecha"/>
						</xsl:element>
						<xsl:element name="FormaPago">
							<xsl:variable name="formPag" select="substring(Datos/Documento/@FormaPago,1,11)"/>
							<xsl:choose>
								<xsl:when test="$formPag ='PARCIALIDAD'">
									<xsl:value-of select="concat('PAGO EN PARCIALIDADES',substring(Datos/Documento/@FormaPago,12,30))"/>
								</xsl:when>
								<xsl:otherwise>
									<xsl:text>PAGO EN UNA SOLA EXHIBICION</xsl:text>
									<!--xsl:value-of select="Datos/Documento/@FormaPago"/-->
								</xsl:otherwise>
							</xsl:choose>
						</xsl:element>
						<xsl:if test="Datos/Documento/XMLAddenda/Documento/Periodos/@PeriodoDesde != ''">
							<xsl:element name="PeriodoDesde">
								<xsl:value-of select="concat(substring(/Datos/Documento/XMLAddenda/Documento/Periodos/@PeriodoDesde,7,4),'-',substring(/Datos/Documento/XMLAddenda/Documento/Periodos/@PeriodoDesde,4,2),'-',substring(/Datos/Documento/XMLAddenda/Documento/Periodos/@PeriodoDesde,1,2))"	/>
							</xsl:element>
						</xsl:if>
						<xsl:if test="Datos/Documento/XMLAddenda/Documento/Periodos/@PeriodoHasta != ''">
							<xsl:element name="PeriodoHasta">
								<xsl:value-of select="concat(substring(/Datos/Documento/XMLAddenda/Documento/Periodos/@PeriodoHasta,7,4),'-',substring(/Datos/Documento/XMLAddenda/Documento/Periodos/@PeriodoHasta,4,2),'-',substring(/Datos/Documento/XMLAddenda/Documento/Periodos/@PeriodoHasta,1,2))"	/>
							</xsl:element>
						</xsl:if>
						<xsl:element name="Area">
							<xsl:element name="IdArea">
								<xsl:text>001</xsl:text>
							</xsl:element>
							<xsl:element name="IdRevision">
								<xsl:text>006</xsl:text>
							</xsl:element>
							<xsl:text disable-output-escaping="yes"><![CDATA[</Area>]]></xsl:text>
						</xsl:element>
					</xsl:element>
					<xsl:element name="ExEmisor">
						<xsl:element name="RFCEmisor">
							<xsl:value-of select="Datos/Emisor/@RFC"/>
						</xsl:element>
						<xsl:element name="NmbEmisor">
							<xsl:value-of select="Datos/Emisor/@Nombre"/>
						</xsl:element>
						<xsl:element name="CodigoExEmisor">
							<xsl:element name="TpoCdgIntEmisor">
								<xsl:text>EXT</xsl:text>
							</xsl:element>
							<xsl:element name="CdgIntEmisor">
								<xsl:value-of select="Datos/Emisor/@noProveedor"/>
							</xsl:element>
						</xsl:element>
						<xsl:element name="DomFiscal">
							<xsl:element name="Calle">
								<xsl:value-of select="Datos/Emisor/Domicilio/@Calle"/>
							</xsl:element>
							<xsl:if test="Datos/Emisor/Domicilio/@noExterior !=''">
								<xsl:element name="NroExterior">
									<xsl:value-of select="Datos/Emisor/Domicilio/@noExterior"/>
								</xsl:element>
							</xsl:if>
							<xsl:if test="Datos/Emisor/Domicilio/@noInterior != ''">
								<xsl:element name="NroInterior">
									<xsl:value-of select="Datos/Emisor/Domicilio/@noInterior"/>
								</xsl:element>
							</xsl:if>
							<xsl:if test="Datos/Emisor/Domicilio/@Colonia != ''">
								<xsl:element name="Colonia">
									<xsl:value-of select="Datos/Emisor/Domicilio/@Colonia"/>
								</xsl:element>
							</xsl:if>
							<xsl:element name="Municipio">
								<xsl:value-of select="substring(Datos/Emisor/Domicilio/@Municipio,1,25)"/>
							</xsl:element>
							<xsl:element name="Estado">
								<xsl:value-of select="substring(Datos/Emisor/Domicilio/@Estado,1,25)"/>
							</xsl:element>
							<xsl:element name="Pais">
								<xsl:value-of select="Datos/Emisor/Domicilio/@Pais"/>
							</xsl:element>
							<xsl:element name="CodigoPostal">
								<xsl:value-of select="Datos/Emisor/Domicilio/@CodigoPostal"/>
							</xsl:element>
						</xsl:element>
						<xsl:if test="Datos/Emisor/Sucursal/@Pais != ''">
							<xsl:element name="LugarExped">
								<xsl:if test="Datos/Emisor/Sucursal/@Calle !=''">
									<xsl:element name="Calle">
										<xsl:value-of select="Datos/Emisor/Sucursal/@Calle"/>
									</xsl:element>
								</xsl:if>
								<xsl:if test="Datos/Emisor/Sucursal/@noExterior !=''">
									<xsl:element name="NroExterior">
										<xsl:value-of select="Datos/Emisor/Sucursal/@noExterior"/>
									</xsl:element>
								</xsl:if>
								<xsl:if test="Datos/Emisor/Sucursal/@noInterior != ''">
									<xsl:element name="NroInterior">
										<xsl:value-of select="Datos/Emisor/Sucursal/@noInterior"/>
									</xsl:element>
								</xsl:if>
								<xsl:if test="Datos/Emisor/Sucursal/@Colonia != ''">
									<xsl:element name="Colonia">
										<xsl:value-of select="Datos/Emisor/Sucursal/@Colonia"/>
									</xsl:element>
								</xsl:if>
								<xsl:if test="Datos/Emisor/Sucursal/@Municipio != ''">
									<xsl:element name="Municipio">
										<xsl:value-of select="Datos/Emisor/Sucursal/@Municipio"/>
									</xsl:element>
								</xsl:if>
								<xsl:if test="Datos/Emisor/Sucursal/@Estado != ''">
									<xsl:element name="Estado">
										<xsl:value-of select="Datos/Emisor/Sucursal/@Estado"/>
									</xsl:element>
								</xsl:if>
								<xsl:element name="Pais">
									<xsl:value-of select="Datos/Emisor/Sucursal/@Pais"/>
								</xsl:element>
								<xsl:if test="Datos/Emisor/Sucursal/@CodigoPostal != ''">
									<xsl:element name="CodigoPostal">
										<xsl:value-of select="Datos/Emisor/Sucursal/@CodigoPostal"/>
									</xsl:element>
								</xsl:if>
							</xsl:element>
						</xsl:if>
						<xsl:for-each select="Datos/Documento/XMLAddenda/Documento/ContactosEmisor/ContactoEmisor">
							<xsl:call-template name="Contactos_Emisor"/>
						</xsl:for-each>
					</xsl:element>
					<xsl:element name="ExReceptor">
						<xsl:element name="RFCRecep">
							<xsl:value-of select="Datos/Receptor/@RFC"/>
						</xsl:element>
						<xsl:if test="Datos/Receptor/@Nombre != ''">
							<xsl:element name="NmbRecep">
								<xsl:value-of select="Datos/Receptor/@Nombre"/>
							</xsl:element>
						</xsl:if>
						<xsl:element name="DomFiscalRcp">
							<xsl:if test="Datos/Receptor/Domicilio/@Calle != ''">
								<xsl:element name="Calle">
									<xsl:value-of select="Datos/Receptor/Domicilio/@Calle"/>
								</xsl:element>
							</xsl:if>
							<xsl:if test="Datos/Receptor/Domicilio/@noExterior != ''">
								<xsl:element name="NroExterior">
									<xsl:value-of select="Datos/Receptor/Domicilio/@noExterior"/>
								</xsl:element>
							</xsl:if>
							<xsl:if test="Datos/Receptor/Domicilio/@noInterior !=''">
								<xsl:element name="NroInterior">
									<xsl:value-of select="Datos/Receptor/Domicilio/@noInterior"/>
								</xsl:element>
							</xsl:if>
							<xsl:if test="Datos/Receptor/Domicilio/@Colonia !=''">
								<xsl:element name="Colonia">
									<xsl:value-of select="Datos/Receptor/Domicilio/@Colonia"/>
								</xsl:element>
							</xsl:if>
							<xsl:if test="Datos/Receptor/Domicilio/@Municipio !=''">
								<xsl:element name="Municipio">
									<xsl:value-of select="Datos/Receptor/Domicilio/@Municipio"/>
								</xsl:element>
							</xsl:if>
							<xsl:if test="Datos/Receptor/Domicilio/@Estado !=''">
								<xsl:element name="Estado">
									<xsl:value-of select="Datos/Receptor/Domicilio/@Estado"/>
								</xsl:element>
							</xsl:if>
							<xsl:element name="Pais">
								<xsl:value-of select="Datos/Receptor/Domicilio/@Pais"/>
							</xsl:element>
							<xsl:if test="Datos/Receptor/Domicilio/@CodigoPostal !=''">
								<xsl:element name="CodigoPostal">
									<xsl:value-of select="Datos/Receptor/Domicilio/@CodigoPostal"/>
								</xsl:element>
							</xsl:if>
						</xsl:element>
						<xsl:element name="LugarRecep">
							<xsl:choose>
								<xsl:when test="Datos/Receptor/Destino/@Pais !=''">
									<xsl:if test="Datos/Receptor/Destino/@Calle != ''">
										<xsl:element name="Calle">
											<xsl:value-of select="Datos/Receptor/Destino/@Calle"/>
										</xsl:element>
									</xsl:if>
									<xsl:if test="Datos/Receptor/Destino/@noExterior != ''">
										<xsl:element name="NroExterior">
											<xsl:value-of select="Datos/Receptor/Destino/@noExterior"/>
										</xsl:element>
									</xsl:if>
									<xsl:if test="Datos/Receptor/Destino/@Colonia != ''">
										<xsl:element name="Colonia">
											<xsl:value-of select="Datos/Receptor/Destino/@Colonia"/>
										</xsl:element>
									</xsl:if>
									<xsl:if test="Datos/Receptor/Destino/@Municipio != ''">
										<xsl:element name="Municipio">
											<xsl:value-of select="Datos/Receptor/Destino/@Municipio"/>
										</xsl:element>
									</xsl:if>
									<xsl:if test="Datos/Receptor/Destino/@Estado != ''">
										<xsl:element name="Estado">
											<xsl:value-of select="Datos/Receptor/Destino/@Estado"/>
										</xsl:element>
									</xsl:if>
									<xsl:element name="Pais">
										<xsl:value-of select="Datos/Receptor/Destino/@Pais"/>
									</xsl:element>
									<xsl:if test="Datos/Receptor/Destino/@CodigoPostal != ''">
										<xsl:element name="CodigoPostal">
											<xsl:value-of select="Datos/Receptor/Destino/@CodigoPostal"/>
										</xsl:element>
									</xsl:if>
								</xsl:when>
								<!--xsl:otherwise>
									<xsl:element name="Calle">
										<xsl:value-of select="Datos/Receptor/Domicilio/@Calle"/>
									</xsl:element>
									<xsl:element name="NroExterior">
										<xsl:value-of select="Datos/Receptor/Domicilio/@noExterior"/>
									</xsl:element>
									<xsl:element name="Colonia">
										<xsl:value-of select="Datos/Receptor/Domicilio/@Colonia"/>
									</xsl:element>
									<xsl:element name="Municipio">
										<xsl:value-of select="Datos/Receptor/Domicilio/@Municipio"/>
									</xsl:element>
									<xsl:element name="Estado">
										<xsl:value-of select="Datos/Receptor/Domicilio/@Estado"/>
									</xsl:element>
									<xsl:element name="Pais">
										<xsl:value-of select="Datos/Receptor/Domicilio/@Pais"/>
									</xsl:element>
									<xsl:element name="CodigoPostal">
										<xsl:value-of select="Datos/Receptor/Domicilio/@CodigoPostal"/>
									</xsl:element>
								</xsl:otherwise-->
							</xsl:choose>
						</xsl:element>
						<xsl:for-each select="Datos/Documento/XMLAddenda/Documento/ContactosReceptor/ContactoReceptor">
							<xsl:call-template name="Contactos_Receptor"/>
						</xsl:for-each>
					</xsl:element>
					<xsl:element name="Totales">
						<xsl:variable name="tpomon" select="Datos/Documento/@TipoMoneda"/>
						<xsl:element name="Moneda">
							<xsl:choose>
								<xsl:when test="$tpomon = 0">
									<xsl:text>MXN</xsl:text>
								</xsl:when>
								<xsl:when test="$tpomon = 1">
									<xsl:text>MXN</xsl:text>
								</xsl:when>
								<xsl:when test="$tpomon = 2">
									<xsl:text>USD</xsl:text>
								</xsl:when>
								<xsl:when test="$tpomon = 3">
									<xsl:text>EUR</xsl:text>
								</xsl:when>
							</xsl:choose>
						</xsl:element>
						<xsl:element name="IndLista">
							<xsl:value-of select="substring-before(Datos/Documento/@Dato1,'|')"/>
						</xsl:element>
						<xsl:if test="substring-before(Datos/Documento/@Dato1,'|') = '1'">
							<xsl:element name="TipoLista">
								<xsl:value-of select="substring-after(Datos/Documento/@Dato1,'|')"/>
							</xsl:element>
						</xsl:if>
						<xsl:element name="SubTotal">
							<xsl:value-of select="format-number(Datos/Documento/@SubTotal,'0.00')"/>
						</xsl:element>
						<xsl:element name="MntDcto">
							<xsl:value-of select="format-number(Datos/Documento/@ImpDescuentos,'0.00')"/>
						</xsl:element>
						<xsl:variable name="totptgdcto" select="sum(Datos/Documento/Descuentos/Descuento/@Porcentaje)"/>
						<xsl:element name="PctDcto">
							<xsl:value-of select="format-number($totptgdcto,'0.00')"/>
						</xsl:element>
						<xsl:element name="MntBase">
							<xsl:value-of select="format-number(Datos/Documento/@SubTotal,'0.00')"/>
						</xsl:element>
						<xsl:element name="MntImp">
							<xsl:value-of select="format-number(Datos/Documento/@TotalImpuestoTrasladado,'0.00')"/>
						</xsl:element>
						<xsl:element name="VlrPagar">
							<xsl:value-of select="format-number(Datos/Documento/@ImpTotal,'0.00')"/>
						</xsl:element>
						<xsl:element name="VlrPalabras">
							<xsl:value-of select="substring(Datos/Documento/@ImporteLetra,2,string-length(Datos/Documento/@ImporteLetra)-2)"/>
						</xsl:element>
					</xsl:element>
					<xsl:element name="ExImpuestos">
						<xsl:for-each select="Datos/Documento/Impuestos/Impuesto">
							<xsl:element name="TipoImp">
								<xsl:value-of select="@Tipo"/>
							</xsl:element>
							<xsl:element name="TasaImp">
								<xsl:value-of select='format-number(@Porcentaje,"0")'/>
							</xsl:element>
							<xsl:element name="MontoImp">
								<xsl:value-of select='format-number(@Importe,"0.00")'/>
							</xsl:element>
						</xsl:for-each>
					</xsl:element>
					<xsl:element name="Poliza">
						<xsl:element name="Tipo">autos</xsl:element>
						<xsl:element name="Numero">
							<xsl:value-of select="substring(Datos/Documento/XMLAddenda/Documento/Poliza/@NumeroPoliza,1,10)"/>
						</xsl:element>
						<xsl:element name="INC">0001</xsl:element>
						<xsl:element name="TpoCliente">
							<xsl:value-of select="substring(Datos/Documento/XMLAddenda/Documento/Poliza/@TipoCliente,1,1)"/>
						</xsl:element>
						<xsl:element name="NroReporte">
							<xsl:value-of select="substring(Datos/Documento/XMLAddenda/Documento/Poliza/@NumeroReporte,1,11)"/>
						</xsl:element>
						<xsl:element name="NroSint">
							<xsl:value-of select="substring(Datos/Documento/XMLAddenda/Documento/Poliza/@NumeroSiniestro,1,11)"/>
						</xsl:element>
					</xsl:element>
				</xsl:element>
				<xsl:for-each select="/Datos/Documento/Partidas/Partida">
					<xsl:call-template name="DetallePartidas"/>
				</xsl:for-each>
				<xsl:for-each select="Datos/Documento/XMLAddenda/Documento/Referencias/Referencia">
					<xsl:call-template name="Referencias"/>
				</xsl:for-each>
				<xsl:element name="TimeStamp">
					<xsl:value-of select="/Datos/CFD/@Fecha"/>
				</xsl:element>
			</xsl:element>
			<xsl:element name="Personalizados">
				<xsl:if test="/Datos/Documento/XMLAddenda/Documento/Personalizados/@oficinaEntregaFactura != ''">
					<xsl:element name="campoString">
						<xsl:attribute name="name">oficinaEntregaFactura</xsl:attribute>
						<xsl:value-of select="substring(/Datos/Documento/XMLAddenda/Documento/Personalizados/@oficinaEntregaFactura,1,3)"/>
					</xsl:element>
				</xsl:if>
				<xsl:if test="/Datos/Documento/XMLAddenda/Documento/Personalizados/@folioElectronico != ''">
					<xsl:element name="campoString">
						<xsl:attribute name="name">folioElectronico</xsl:attribute>
						<xsl:value-of select="substring(/Datos/Documento/XMLAddenda/Documento/Personalizados/@folioElectronico,1,9)"/>
					</xsl:element>
				</xsl:if>
				<xsl:if test="/Datos/Documento/XMLAddenda/Documento/Personalizados/@Default1 != ''">
					<xsl:element name="campoString">
						<xsl:attribute name="name">Default1</xsl:attribute>
						<xsl:value-of select="/Datos/Documento/XMLAddenda/Documento/Personalizados/@Default1"/>
					</xsl:element>
				</xsl:if>
				<xsl:if test="/Datos/Documento/XMLAddenda/Documento/Personalizados/@Default2 != ''">
					<xsl:element name="campoString">
						<xsl:attribute name="name">Default2</xsl:attribute>
						<xsl:value-of select="/Datos/Documento/XMLAddenda/Documento/Personalizados/@Default2"/>
					</xsl:element>
				</xsl:if>
				<xsl:if test="/Datos/CFD/@UUID != ''">
					<xsl:element name="campoString">
						<xsl:attribute name="name">UUID</xsl:attribute>
						<xsl:value-of select="/Datos/CFD/@UUID"/>
					</xsl:element>
				</xsl:if>
			</xsl:element>
		</xsl:element>
	</xsl:template>
	<xsl:template name="Contactos_Emisor">
		<xsl:if test="@Nombre != ''">
			<xsl:element name="ContactoEmisor">
				<xsl:element name="Tipo">
					<xsl:value-of select="@Tipo"/>
				</xsl:element>
				<xsl:element name="Nombre">
					<xsl:value-of select="@Nombre"/>
				</xsl:element>
				<xsl:element name="eMail">
					<xsl:value-of select="@Email"/>
				</xsl:element>
				<xsl:element name="Telefono">
					<xsl:value-of select="substring(@Telefono,1,25)"/>
				</xsl:element>
			</xsl:element>
		</xsl:if>
	</xsl:template>
	<xsl:template name="Contactos_Receptor">
		<xsl:if test="@Nombre != ''">
			<xsl:element name="ContactoReceptor">
				<xsl:element name="Tipo">
					<xsl:value-of select="@Tipo"/>
				</xsl:element>
				<xsl:element name="Nombre">
					<xsl:value-of select="@Nombre"/>
				</xsl:element>
				<xsl:if test="@Email != ''">
					<xsl:element name="eMail">
						<xsl:value-of select="@Email"/>
					</xsl:element>
				</xsl:if>
				<xsl:if test="@Telefono != ''">
					<xsl:element name="Telefono">
						<xsl:value-of select="substring(@Telefono,1,25)"/>
					</xsl:element>
				</xsl:if>
			</xsl:element>
		</xsl:if>
	</xsl:template>
	<xsl:template name="DetallePartidas">
		<xsl:element name="Detalle">
			<xsl:element name="NroLinDet">
				<xsl:value-of select="position()"/>
			</xsl:element>
			<xsl:element name="DscLang">
				<xsl:text>ES</xsl:text>
			</xsl:element>
			<xsl:element name="DscItem">
				<xsl:value-of select="@Descripcion"/>
			</xsl:element>
			<xsl:element name="QtyItem">
				<xsl:value-of select="@Cantidad"/>
			</xsl:element>
			<xsl:element name="PrcNetoItem">
				<xsl:value-of select="@PrecioNeto"/>
			</xsl:element>
			<xsl:element name="MontoNetoItem">
				<xsl:value-of select="@SubTotal"/>
			</xsl:element>
		</xsl:element>
	</xsl:template>
	<xsl:template name="Referencias">
		<xsl:if test="@TipoDocReferencia !=''">
			<xsl:element name="Referencia">
				<xsl:element name="NroLinRef">
					<xsl:value-of select="position()"/>
				</xsl:element>
				<xsl:element name="TpoDocRef">
					<xsl:value-of select="@TipoDocReferencia"/>
				</xsl:element>
				<xsl:if test="@SerieReferencia !=''">
					<xsl:element name="SerieRef">
						<xsl:value-of select="@SerieReferencia"/>
					</xsl:element>
				</xsl:if>
				<xsl:element name="FolioRef">
					<xsl:value-of select="@FolioReferencia"/>
				</xsl:element>
				<xsl:if test="@RazonReferencia !=''">
					<xsl:element name="RazonRef">
						<xsl:value-of select="@RazonReferencia"/>
					</xsl:element>
				</xsl:if>
			</xsl:element>
		</xsl:if>
	</xsl:template>
</xsl:stylesheet>
